Bug 23695 - [PATCH] /tmp games with psql
Summary: [PATCH] /tmp games with psql
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: postgresql   
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-10 06:41 UTC by Andrew Bartlett
Modified: 2007-04-18 16:30 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 21:51:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
use mkstemp for filename used by \e (1.04 KB, patch)
2001-01-12 21:51 UTC, Trond Eivind Glomsrxd
no flags Details | Diff

Description Andrew Bartlett 2001-01-10 06:41:43 UTC
A patch is available (developed by the postgresql team) that fixes an issue
I found with the creation of tempory files when using the \e command in
psql.

It can be found in their CVSWeb arcives at
http://www.postgresql.org/cgi/cvsweb.cgi/pgsql/src/bin/psql/command.c.diff?r1=1.38&r2=1.39&f=c
and its cvs comments are at
http://www.postgresql.org/cgi/cvsweb.cgi/pgsql/src/bin/psql/command.c

While this will certainly make itself into the next release of Postgresql,
RedHat may wish to include it before they ship RedHat 7.1.

Comment 1 Trond Eivind Glomsrxd 2001-01-10 17:54:04 UTC
It doesn't apply cleanly - other changes have been made as well. I'll look at it
later

Comment 2 Trond Eivind Glomsrxd 2001-01-12 21:51:22 UTC
Created attachment 7544 [details]
use mkstemp for filename used by \e

Comment 3 Trond Eivind Glomsrxd 2001-01-12 21:52:20 UTC
I made another patch, which uses mkstemp - seems to work just fine. Should show
up in Rawhide in 7.0.3-5


Note You need to log in before you can comment on or make changes to this bug.